devel/fifengine - The NetBSD Packages Collection

Multi-platform isometric game engine

Flexible Isometric Free Engine (FIFE) is a multi-platform isometric game
engine written in C++. It comes with Python bindings allowing users to create
games using Python as well as C++.

Build dependencies

pkgtools/x11-links devel/boost-headers x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/swig3 devel/cmake devel/pkgconf

Runtime dependencies

audio/libvorbis audio/openal-soft devel/boost-libs devel/fifechan devel/SDL2 graphics/MesaLib fonts/SDL2_ttf graphics/SDL2_image graphics/glew graphics/png lang/python38 lang/python38 textproc/tinyxml audio/libvorbis devel/SDL2 graphics/MesaLib fonts/SDL2_ttf graphics/SDL2_image graphics/glew graphics/png textproc/tinyxml

Binary packages

OSArchitectureVersion
NetBSD 8.0i386fifengine-0.4.2nb5.tgz
NetBSD 8.0i386fifengine-0.4.2nb6.tgz
NetBSD 8.0i386fifengine-0.4.2nb7.tgz
NetBSD 8.0x86_64fifengine-0.4.2nb7.tgz
NetBSD 8.0x86_64fifengine-0.4.2nb5.tgz
NetBSD 8.0x86_64fifengine-0.4.2nb6.tgz
NetBSD 9.0aarch64fifengine-0.4.2nb7.tgz
NetBSD 9.0aarch64fifengine-0.4.2nb5.tgz
NetBSD 9.0aarch64fifengine-0.4.2nb6.tgz
NetBSD 9.0earmv6hffifengine-0.4.2nb7.tgz
NetBSD 9.0earmv6hffifengine-0.4.2nb6.tgz
NetBSD 9.0earmv7hffifengine-0.4.2nb7.tgz
NetBSD 9.0earmv7hffifengine-0.4.2nb6.tgz
NetBSD 9.0i386fifengine-0.4.2nb5.tgz
NetBSD 9.0i386fifengine-0.4.2nb6.tgz
NetBSD 9.0i386fifengine-0.4.2nb7.tgz
NetBSD 9.0mips64ebfifengine-0.4.2nb7.tgz
NetBSD 9.0mips64ebfifengine-0.4.2nb5.tgz
NetBSD 9.0mips64ebfifengine-0.4.2nb6.tgz
NetBSD 9.0sparc64fifengine-0.4.2nb7.tgz
NetBSD 9.0sparc64fifengine-0.4.2nb4.tgz
NetBSD 9.0sparc64fifengine-0.4.2nb5.tgz
NetBSD 9.0sparc64fifengine-0.4.2nb6.tgz
NetBSD 9.0x86_64fifengine-0.4.2nb5.tgz
NetBSD 9.0x86_64fifengine-0.4.2nb7.tgz
NetBSD 9.0x86_64fifengine-0.4.2nb7.tgz
NetBSD 9.0x86_64fifengine-0.4.2nb7.tgz
NetBSD 9.0x86_64fifengine-0.4.2nb5.tgz
NetBSD 9.0x86_64fifengine-0.4.2nb6.tgz
NetBSD 9.0x86_64fifengine-0.4.2nb7.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.